Page MenuHomePhabricator

Track user interaction with map iframes
Closed, ResolvedPublic

Description

We can already do that for Wikivoyage, need to expand that to other types of maps.

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaEvents : wmf/1.26wmf23More reliable handling of WMA and WIWOSM buttons
mediawiki/extensions/WikimediaEvents : wmf/1.26wmf22More reliable handling of WMA and WIWOSM buttons
mediawiki/extensions/WikimediaEvents : masterMore reliable handling of WMA and WIWOSM buttons
mediawiki/extensions/WikimediaEvents : masterTrack interaction with WMA and WIWOSM maps

Event Timeline

MaxSem created this task.Aug 4 2015, 8:38 PM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added a project: Maps-Sprint.
MaxSem added a subscriber: MaxSem.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 8:38 PM
MaxSem claimed this task.Aug 4 2015, 8:38 PM
MaxSem set Security to None.
MaxSem moved this task from Backlog to In progress on the Maps-Sprint board.

Where could I read about the underlying motivation to "track user interaction"?

Change 229586 had a related patch set uploaded (by MaxSem):
Track interaction with WMA and WIWOSM maps

https://gerrit.wikimedia.org/r/229586

MaxSem moved this task from In progress to Needs review on the Maps-Sprint board.Aug 5 2015, 10:14 PM

@MaxSem: Please flesh out this task description to explain what the patch is trying to accomplish, and how it can be tested.

@Krinkle can you review the patch?

I can't review https://gerrit.wikimedia.org/r/229586 and not sure I should.

The commit doesn't specify what it is supposed to do (commit message), and I personally have no experience with neither the code being changed nor the gadgets it is instrumenting, or how to test locally that this works.

What I can see is that the current master version of ext.wikimediaEvents.geoFeatures.js in the WikimediaEvents repo already has code to track WikiMiniAtlas (WMA), WIWOSM and Wikivoyage. This new commit doesn't appear to change that code much, the commit mostly does some arbitrary refactoring – yet the commit message says it introduces the tracking, but it was already there. Presumably it doesn't work? Please specify why it didn't work, and (more importantly) why the new version does work.

The patch doesn't do anything that's not required to add the trackIframe() calls that it adds. Anyway, Yuri will review it.

Change 229586 merged by jenkins-bot:
Track interaction with WMA and WIWOSM maps

https://gerrit.wikimedia.org/r/229586

Change 237546 had a related patch set uploaded (by MaxSem):
More reliable handling of WMA and WIWOSM buttons

https://gerrit.wikimedia.org/r/237546

Change 237546 merged by jenkins-bot:
More reliable handling of WMA and WIWOSM buttons

https://gerrit.wikimedia.org/r/237546

Yurik closed this task as Resolved.Sep 15 2015, 9:09 PM
Yurik added a subscriber: Yurik.
Yurik moved this task from Needs review to Done on the Maps-Sprint board.Sep 15 2015, 9:14 PM

Change 238617 had a related patch set uploaded (by MaxSem):
More reliable handling of WMA and WIWOSM buttons

https://gerrit.wikimedia.org/r/238617

Change 238618 had a related patch set uploaded (by MaxSem):
More reliable handling of WMA and WIWOSM buttons

https://gerrit.wikimedia.org/r/238618

Change 238617 merged by jenkins-bot:
More reliable handling of WMA and WIWOSM buttons

https://gerrit.wikimedia.org/r/238617

Change 238618 merged by jenkins-bot:
More reliable handling of WMA and WIWOSM buttons

https://gerrit.wikimedia.org/r/238618

Yurik added a project: Maps.Nov 7 2015, 7:34 AM
Restricted Application added a project: Discovery. · View Herald TranscriptNov 7 2015, 7:34 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript